Bug 326851 - nmbd coredump in unbecome_local_master_browser process
nmbd coredump in unbecome_local_master_browser process
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 15:34 EDT by Mads Kiilerich
Modified: 2007-12-16 18:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 18:50:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2007-10-10 15:34:56 EDT
Description of problem:
weird behaviour on the network caused nmbd to dump core.
DOS from DOS shouldn't be possible!

Version-Release number of selected component (if applicable):
samba-3.0.26a-0.fc7

How reproducible:
only seen once:

Oct  9 09:15:54 server2 nmbd[2172]: [2007/10/09 09:15:54, 0]
nmbd/nmbd_incomingdgrams.c:process_local_master_announce(309) 
Oct  9 09:15:54 server2 nmbd[2172]:   process_local_master_announce: Server XPWS
at IP 10.0.1.158 is announcing itself as a local master browser for workgrou
p DOMAIN and we think we are master. Forcing election. 
Oct  9 09:15:54 server2 nmbd[2172]: [2007/10/09 09:15:54, 0]
nmbd/nmbd_become_lmb.c:unbecome_local_master_success(149) 
Oct  9 09:15:54 server2 nmbd[2172]:   ***** 
Oct  9 09:15:54 server2 nmbd[2172]:    
Oct  9 09:15:54 server2 nmbd[2172]:   Samba name server SERVER has stopped being
a local master browser for workgroup DOMAIN on subnet 10.0.1.2 
Oct  9 09:15:54 server2 nmbd[2172]:    
Oct  9 09:15:54 server2 nmbd[2172]:   ***** 

[time goes, no other nmbd entries logged]

Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:11, 0]
nmbd/nmbd_nameregister.c:register_name_response(130) 
Oct  9 09:16:12 server2 nmbd[2172]:   register_name_response: server at IP
10.0.1.146 rejected our name registration of DOMAIN<1d> IP 10.0.1.2 with error
code 6. 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
nmbd/nmbd_become_lmb.c:become_local_master_fail2(417) 
Oct  9 09:16:12 server2 nmbd[2172]:   become_local_master_fail2: failed to
register name DOMAIN<1d> on subnet 10.0.1.2. Failed to become a local master
browser. 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
nmbd/nmbd_become_lmb.c:become_local_master_fail2(417) 
Oct  9 09:16:12 server2 nmbd[2172]:   become_local_master_fail2: failed to
register name DOMAIN<1d> on subnet 10.0.1.2. Failed to become a local master
browser. 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
nmbd/nmbd_namelistdb.c:standard_success_release(419) 
Oct  9 09:16:12 server2 nmbd[2172]:   standard_success_release: Name release for
name ^A^B__MSBROWSE__^B<01> IP 10.0.1.2 on subnet 10.0.1.2. Name was not found
 on subnet. 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
nmbd/nmbd_namelistdb.c:standard_fail_register(305) 
Oct  9 09:16:12 server2 nmbd[2172]:   standard_fail_register: Failed to
register/refresh name DOMAIN<1d> on subnet 10.0.1.2 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
lib/fault.c:fault_report(41) 
Oct  9 09:16:12 server2 nmbd[2172]:  
=============================================================== 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
lib/fault.c:fault_report(42) 
Oct  9 09:16:12 server2 nmbd[2172]:   INTERNAL ERROR: Signal 11 in pid 2172
(3.0.26a-0.fc7) 
Oct  9 09:16:12 server2 nmbd[2172]:   Please read the Trouble-Shooting section
of the Samba3-HOWTO 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
lib/fault.c:fault_report(44) 
Oct  9 09:16:12 server2 nmbd[2172]:    
Oct  9 09:16:12 server2 nmbd[2172]:   From:
http://www.samba.org/samba/docs/Samba3-HOWTO.pdf 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
lib/fault.c:fault_report(45) 
Oct  9 09:16:12 server2 nmbd[2172]:  
=============================================================== 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
lib/util.c:smb_panic(1654) 
Oct  9 09:16:12 server2 nmbd[2172]:   PANIC (pid 2172): internal error 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
lib/util.c:log_stack_trace(1758) 
Oct  9 09:16:12 server2 nmbd[2172]:   BACKTRACE: 13 stack frames: 
Oct  9 09:16:12 server2 nmbd[2172]:    #0 nmbd(log_stack_trace+0x2d) [0x800ac65d] 
Oct  9 09:16:12 server2 nmbd[2172]:    #1 nmbd(smb_panic+0x5d) [0x800ac78d] 
Oct  9 09:16:12 server2 nmbd[2172]:    #2 nmbd [0x800971fa] 
Oct  9 09:16:12 server2 nmbd[2172]:    #3 [0x12d420] 
Oct  9 09:16:12 server2 nmbd[2172]:    #4 nmbd(remove_response_record+0x51)
[0x80035a71] 
Oct  9 09:16:12 server2 nmbd[2172]:    #5
nmbd(retransmit_or_expire_response_records+0x1b3) [0x8002ff13] 
Oct  9 09:16:12 server2 nmbd[2172]:    #6
nmbd(unbecome_local_master_browser+0x1be) [0x80023a2e] 
Oct  9 09:16:12 server2 nmbd[2172]:    #7 nmbd [0x80023bfb] 
Oct  9 09:16:12 server2 nmbd[2172]:    #8 nmbd [0x8002e1ce] 
Oct  9 09:16:12 server2 nmbd[2172]:    #9 nmbd(run_packet_queue+0x320) [0x80031410] 
Oct  9 09:16:12 server2 nmbd[2172]:    #10 nmbd(main+0x86b) [0x80021b5b] 
Oct  9 09:16:12 server2 nmbd[2172]:    #11
/lib/libc.so.6(__libc_start_main+0xe0) [0x2ddf70] 
Oct  9 09:16:12 server2 nmbd[2172]:    #12 nmbd [0x8001fef1] 
Oct  9 09:16:12 server2 nmbd[2172]: [2007/10/09 09:16:12, 0]
lib/fault.c:dump_core(181) 
Oct  9 09:16:12 server2 nmbd[2172]:   dumping core in /var/log/samba/cores/nmbd 
Oct  9 09:16:12 server2 nmbd[2172]: 

Note that this setup sees a lot of master negotiations going on, apparently
because XP workstations (not member of the domain but using the domain as
workgroup) runs a firewall that makes them deaf in master elections. As a
workaround I'm moving them to another domain where they can do whatever they
want to.


Essential (?) part of config:
[global]
        workgroup = DOMAIN
        server string = SERVER
        netbios name = SERVER
        interfaces = 10.0.1.2/24 lo eth1 eth1:2 192.168.1.10/24 
        security = user
        passdb backend = tdbsam
        domain master = yes 
        local master = yes
        os level = 33
        preferred master = yes
        wins support = yes

(names slightly edited)
Comment 1 Simo Sorce 2007-12-11 17:57:12 EST
Can you still reproduce this with 3.0.28 ?
Comment 2 Mads Kiilerich 2007-12-11 18:30:10 EST
I only saw the crash once, and then I (for other reasons) got the other bogus
master announcements muted. So even though I can't reproduce a crash now I also
can't confirm that the problem has been fixed. 

I hope that the report has helped improve the quality even though I can't
provide more valuable information...
Comment 3 Simo Sorce 2007-12-11 18:50:50 EST
Unfortunately the stack trace is missing debugging symbols, I will have to close
as I do not have sufficient data to get to the root of the problem.
If you happen to find a way to reproduce it, please reopen.

Thanks.
Comment 4 Mads Kiilerich 2007-12-16 18:20:33 EST
I assume that if someone really wanted to do so, then it would be possible to
find the corresponding debuginfo package and somehow find the debugging symbols. 

But if the problem only appeared once so far and nobody cares, then let it rest
in peace ;-)

Note You need to log in before you can comment on or make changes to this bug.